Subject: bug#43651: 27.1; compile.el should not parse its own header for errors

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 28 Sep 2020 15:46:28 +0200

David Landell <[email-masked]> writes:

> Expected output:
> No error fontification of header line: Compilation started at Sun Sep
> 27 11:48:24
>
> Actual output:
> Error fontified line: Compilation started at Sun Sep 27 11:48:24

I can reproduce this in Emacs 28, too, and I'm not sure how to fix it.
You'd think there'd be a way to tell the font-locking mechanism (which I
assume is used here?) to stay away from certain regions of the buffer,
but reading the documentation, I couldn't find anything.

But there surely must be.  Anybody know?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no